Firewall 13.0.57 update causes a Whoops! error (PSA)

Hey all,

Looks like the latest firewall update (13.0.57) has inadvertently caused a Whoops! error to appear when accessing EPM, and possibly some other things

The error is echoed in /tmp/firewall.log continuously as well.

PHP Parse error: syntax error, unexpected ‘[’ in /var/www/html/admin/modules/firewall/Services.class.php on line 197
1536589642: Unparseable output from getservices - [“Whoops\Exception\ErrorException: syntax error, unexpected ‘[’ in file /var/www/html/admin/modules/firewall/Services.class.php on line 197”,“Stack trace:”," 1. () /var/www/html/admin/modules/firewall/Services.class.php:197"] - returned 255

Looks like a syntax error with the changes that were made to add Let’s Encrypt as a core service in the firewall per [FREEPBX-17840] LetsEncrypt port not in Firewall "Core Services" - Sangoma Issue Tracker

Rolling back to 13.0.56 fixed the issue for now:

fwconsole ma downloadinstall firewall --tag 13.0.56

[mod] - reported in ticket [FREEPBX-18150] Full screen whoops error in Firewall -> Services - Sangoma Issue Tracker

This topic was automatically closed 365 days after the last reply. New replies are no longer allowed.